class ToMoney
  class << self
    def usd(number, **options)
      options.delete(:unit) if options.any?
      ActionController::Base.helpers.number_to_currency(number, options)
    end

    def inr(number, **options)
      options.delete!(:unit) if options.any?
      ActionController::Base.helpers.number_to_currency(number, options.merge!(unit: 'Rs. '))
    end
  end

  def usd(number, **options)
    self.class.usd(number, **options)
  end

  def inr(number, **options)
    self.class.inr(number, **options)
  end
end
